<?php

//$file = fopen("log.txt", "w");   /// BORRAR LOG
//fwrite($file, "Error $error". PHP_EOL);
//fclose($file);

$config = require ('config.php');
$conexion=$config['conexion']; 
$rutafotos=$config['rutafotos'];
$conn = pg_pconnect("$conexion");

$soporte=$_GET["soporte"];	
$ref=$_GET["ref"];	

$directorio = $rutafotos;
$fotos  = scandir($directorio);

$nfotos = count($fotos);
$serie="";

if ($ref=="") {
	$sql="select momento_inicio, ifnull(momento_fin,'-') momento_fin, ifnull(ultima_foto,'-') ultima_foto, ifnull(primera_foto,'-') primera_foto 
		from peticiones where soporte='$soporte' and ultima_foto<>'' and primera_foto<>'' order by momento_inicio";
} else {
	$sql="select momento_inicio, ifnull(momento_fin,'-') momento_fin, ifnull(ultima_foto,'-') ultima_foto, ifnull(primera_foto,'-') primera_foto 
		from peticiones where soporte='$soporte' and trim(referencia)= '$ref' and ultima_foto<>'' and primera_foto<>'' order by momento_inicio";
}

$file = fopen("log.txt", "w");   /// BORRAR LOG

$result = pg_query($conn, $sql);
while ($row = pg_fetch_array($result, NULL, PGSQL_ASSOC)) {

	$fini=$row['primera_foto'];
	$ffin=$row['ultima_foto'];

	$posfoto=strripos($fini, '/');
	$fotoneta=substr($fini,$posfoto+1);
	$fini=$fotoneta;
	$posfoto=strripos($ffin, '/');
	$fotoneta=substr($ffin,$posfoto+1);
	$ffin=$fotoneta;

	$clave = array_search($fini, $fotos);
	if ($clave) {
		
		for ($i = $clave; $i <= $nfotos; $i++) {
			$foto=$fotos[$i];
			
			if ($foto==$ffin) {
				$serie=$serie.'#'.$foto;
				break;
			}
			if ($serie=="") {
				$serie=$foto;
			} else {	
				$serie=$serie.'#'.$foto;
			}	
		}
	}	
}	

fclose($file);

pg_free_result($result);
pg_close($conn);

echo "OK|$serie";
?>